﻿using Microsoft.EntityFrameworkCore;
using PaydayBackend.Models;

namespace PaydayBackend;

public class DatabaseContext : DbContext
{
    public DbSet<Bank> Banks { get; set; } = null!;
    public DbSet<LoanTerm> LoanTerms { get; set; } = null!;
    public DbSet<University> Universities { get; set; } = null!;
    public DbSet<UniversityDirection> UniversityDirections { get; set; } = null!;
    
    protected override void OnModelCreating(ModelBuilder modelBuilder)
    {
        
    }

    public DatabaseContext(DbContextOptions<DatabaseContext> options) : base(options) { }
}