﻿using System.ComponentModel.DataAnnotations;

namespace PaydayBackend.Models;

public class UniversityDirectionDto
{
    public UniversityDirectionDto(long id, long universityId, string code, string name, string url, int placeCost)
    {
        Id = id;
        UniversityId = universityId;
        Code = code;
        Name = name;
        Url = url;
        PlaceCost = placeCost;
    }

    public long Id { get; set; }
    public long UniversityId { get; set; }
    [MinLength(5)]
    [MaxLength(10)]
    public string Code { get; set; }
    [MaxLength(50)]
    public string Name { get; set; }
    public string Url { get; set; }
    public int PlaceCost { get; set; }
}